## fcitx-fbterm 0.1.4

=== CMakeLists.txt ===
project(fcitx-fbterm)
cmake_minimum_required(VERSION 2.6)
FIND_PACKAGE(Gettext REQUIRED)
FIND_PACKAGE(Fcitx REQUIRED)

# uninstall target
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

if(NOT DEFINED LIB_INSTALL_DIR)
    set(LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib)
endif()

include(FindPkgConfig)

set(prefix      ${CMAKE_INSTALL_PREFIX})
set(exec_prefix ${CMAKE_INSTALL_PREFIX})
set(bindir ${prefix}/bin)
set(libdir ${LIB_INSTALL_DIR})
set(localedir ${CMAKE_INSTALL_PREFIX}/share/locale)
set(includedir  ${CMAKE_INSTALL_PREFIX}/include)
set(CMAKE_C_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_C_FLAGS}")
set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_CXX_FLAGS}")
set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")

set(libdir ${LIB_INSTALL_DIR})

add_subdirectory(src)
add_subdirectory(scripts)

=== src/CMakeLists.txt ===

pkg_check_modules(GLIB2 "glib-2.0" REQUIRED)
pkg_check_modules(GIO2 "gio-2.0 gio-unix-2.0" REQUIRED)
pkg_check_modules(DBUS_GLIB "dbus-glib-1" REQUIRED)


_pkgconfig_invoke("glib-2.0" GLIB2 GLIB_GENMARSHAL "" "--variable=glib_genmarshal")

FIND_PROGRAM(GLIB_GENMARSHAL ${GLIB2_GLIB_GENMARSHAL})

add_custom_command(OUTPUT marshall.c
                   COMMAND ${GLIB_GENMARSHAL} --body --prefix=fcitx_marshall ${PROJECT_SOURCE_DIR}/src/marshall.list > marshall.c
)
add_custom_command(OUTPUT marshall.h
                   COMMAND ${GLIB_GENMARSHAL} --header --prefix=fcitx_marshall ${PROJECT_SOURCE_DIR}/src/marshall.list > marshall.h
)

include_directories(
${CMAKE_CURRENT_SOURCE_DIR}
${CMAKE_CURRENT_BINARY_DIR}
${GLIB2_INCLUDE_DIRS}
${GIO2_INCLUDE_DIRS}
${DBUS_GLIB_INCLUDE_DIRS}
${FCITX4_FCITX_INCLUDE_DIRS}
${FCITX4_FCITX_UTILS_INCLUDE_DIRS}
${FCITX4_FCITX_CONFIG_INCLUDE_DIRS}
)

link_directories(
${GLIB2_LIBRARY_DIRS}
${GIO2_LIBRARY_DIRS}
${DBUS_GLIB_LIBRARY_DIRS}
${FCITX4_FCITX_LIBRARY_DIRS}
${FCITX4_FCITX_UTILS_LIBRARY_DIRS}
${FCITX4_FCITX_CONFIG_LIBRARY_DIRS}
)

set(fcitx_fbterm_SOURCES
    marshall.c
    marshall.h
    client.c
    imapi.c
    fcitx-fbterm.c
    keycode.c
    keymap.c
)

add_executable(fcitx-fbterm ${fcitx_fbterm_SOURCES})
target_link_libraries(fcitx-fbterm
                      ${GLIB2_LIBRARIES}
                      ${DBUS_GLIB_LIBRARIES}
                      ${GIO2_LIBRARIES}
                      ${FCITX4_FCITX_LIBRARIES}
                      ${FCITX4_FCITX_CONFIG_LIBRARIES}
                      ${FCITX4_FCITX_UTILS_LIBRARIES}
                      )

install(TARGETS fcitx-fbterm DESTINATION ${bindir})

## fcitx-fbterm 0.1.1

=== debian/changelog ===
fcitx-fbterm (0.1.1-2) unstable; urgency=low

  * Adjust package relations to be more user-friendly.

 -- Aron Xu <aron@debian.org>  Sat, 28 Jan 2012 23:53:08 +0800

fcitx-fbterm (0.1.1-1) unstable; urgency=low

  * Initial release (Closes: #639294)

 -- Aron Xu <aron@debian.org>  Wed, 26 Oct 2011 04:18:55 +0800

=== debian/control ===
Source: fcitx-fbterm
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
Build-Depends: debhelper (>= 8), cmake, gettext, fcitx-libs-dev, libdbus-glib-1-dev
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/fcitx
Vcs-Git: git://git.debian.org/pkg-ime/fcitx-fbterm.git
Vcs-Browser: http://git.debian.org/?p=pkg-ime/fcitx-fbterm.git

Package: fcitx-frontend-fbterm
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, fbterm, 
    fcitx-bin, fcitx-data, fcitx-modules
Recommends: fcitx-pinyin, fcitx-googlepinyin | fcitx-sunpinyin,
    fcitx-table-wubi | fcitx-table-wbpy
Suggests: fcitx-tools
Description: Flexible Input Method Framework - FbTerm frontend
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides the FbTerm frontend, which is recommended for
 users who does not use X.

=== debian/watch ===
version=3
http://googlecode.debian.net/p/fcitx/fcitx-fbterm-(\d+.*)\.tar\.gz

## fcitx-fbterm 0.1.2

=== debian/changelog ===
fcitx-fbterm (0.1.2-2) unstable; urgency=low

  * Correct Build-Depends on fcitx-libs-dev (>= 1:4.2.0)
  * Set DMUA.

 -- Aron Xu <aron@debian.org>  Wed, 08 Feb 2012 02:20:03 +0800

fcitx-fbterm (0.1.2-1) unstable; urgency=low

  * New upstream release: for fcitx 4.2.0.
  * Drop 0001-use-bash-in-header.patch: applied upstream.

 -- YunQiang Su <wzssyqa@gmail.com>  Sun, 05 Feb 2012 22:49:47 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,9 @@
 Priority: optional
 Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
 Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
-Build-Depends: debhelper (>= 8), cmake, gettext, fcitx-libs-dev, libdbus-glib-1-dev
+DM-Upload-Allowed: yes
+Build-Depends: debhelper (>= 8), cmake, fcitx-libs-dev (>= 1:4.2.0),
+    libdbus-glib-1-dev, gettext
 Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/fcitx
 Vcs-Git: git://git.debian.org/pkg-ime/fcitx-fbterm.git

## fcitx-fbterm 0.1.4

=== debian/changelog ===
fcitx-fbterm (0.1.4-1) unstable; urgency=low

  * Fix debian/watch: googlecode
  * New Upstream version 0.1.4

 -- YunQiang Su <wzssyqa@gmail.com>  Tue, 15 May 2012 15:45:59 +0800

fcitx-fbterm (0.1.3-1) unstable; urgency=low

  * New upstream release.
  * Bump standard version to 3.9.3.

 -- YunQiang Su <wzssyqa@gmail.com>  Tue, 10 Apr 2012 15:44:11 +0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 8), cmake, fcitx-libs-dev (>= 1:4.2.0),
     libdbus-glib-1-dev, gettext
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/fcitx
 Vcs-Git: git://git.debian.org/pkg-ime/fcitx-fbterm.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ime/fcitx-fbterm.git

## fcitx-fbterm 0.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,12 @@
+cmake_minimum_required(VERSION 2.6)
+
 project(fcitx-fbterm)
-cmake_minimum_required(VERSION 2.6)
-FIND_PACKAGE(Gettext REQUIRED)
-FIND_PACKAGE(Fcitx REQUIRED)
+
+find_package(PkgConfig REQUIRED)
+find_package(Gettext REQUIRED)
+find_package(Fcitx 4.2.6 REQUIRED)
+
+pkg_check_modules(FCITX_GCLIENT "fcitx-gclient>=4.2.6" REQUIRED)
 
 # uninstall target
 configure_file(

=== scripts/CMakeLists.txt ===
install(FILES fcitx-fbterm-helper DESTINATION ${bindir} PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

=== src/CMakeLists.txt ===
include_directories(
${CMAKE_CURRENT_SOURCE_DIR}
${CMAKE_CURRENT_BINARY_DIR}
${FCITX4_FCITX_INCLUDE_DIRS}
${FCITX4_FCITX_UTILS_INCLUDE_DIRS}
${FCITX4_FCITX_CONFIG_INCLUDE_DIRS}
${FCITX_GCLIENT_INCLUDE_DIRS}
)

link_directories(
${FCITX4_FCITX_LIBRARY_DIRS}
${FCITX4_FCITX_UTILS_LIBRARY_DIRS}
${FCITX4_FCITX_CONFIG_LIBRARY_DIRS}
${FCITX_GCLIENT_LIBRARY_DIRS}
)

set(fcitx_fbterm_SOURCES
    imapi.c
    fcitx-fbterm.c
    keycode.c
    keymap.c
)

add_executable(fcitx-fbterm ${fcitx_fbterm_SOURCES})
target_link_libraries(fcitx-fbterm
                      ${FCITX_GCLIENT_LIBRARIES}
                      ${FCITX4_FCITX_LIBRARIES}
                      ${FCITX4_FCITX_CONFIG_LIBRARIES}
                      ${FCITX4_FCITX_UTILS_LIBRARIES}
                      )

install(TARGETS fcitx-fbterm DESTINATION ${bindir})

=== debian/changelog ===
fcitx-fbterm (0.2.0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1112891)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 14:56:34 +0300

fcitx-fbterm (0.2.0-5) unstable; urgency=medium

  * Team upload.
  * debian/patches/:
    + 0002-Add-function-decl-no-longer-provided-by-fcitx-header.patch:
      Add patch to fix FTBFS due to Werror=implicit-function-declaration.
      (Closes: #1066226)

 -- Boyuan Yang <byang@debian.org>  Sat, 16 Mar 2024 19:25:59 -0400

fcitx-fbterm (0.2.0-4) unstable; urgency=medium

  * Team upload.
  * Rebuild before Ubuntu 22.04 LTS.
  * Refresh packaging:
    + Standards-Version: 4.6.0.
    + debhelper compat v13.
    + Rules-Requires-Root: no.
  * debian/control: Fix homepage field.
  * debian/copyright: Fix copyright information.

 -- Boyuan Yang <byang@debian.org>  Sat, 26 Feb 2022 10:09:00 -0500

fcitx-fbterm (0.2.0-3) unstable; urgency=medium

  * Team upload.
  * debian/control:
    - std-ver: 3.9.4 -> 4.1.5.
    - Bump debhelper compat to v11.
    - Use canonical Vcs URL on Salsa platform.
    - Use GitLab as homepage.
    - Use debian-input-method maillist in maintainer field.
      Closes: #899772.
    - Use @debian.org mail address for YunQiang Su in uploaders field.
  * Point d/watch at download.fcitx-im.org.
  * Apply "wrap-and-sort -abst".
  * debian/README.Debian: Rewrite document and usage.
  * d/rules:
    - Enable full hardening.
    - Use "dh_missing --fail-missing".
  * d/patches: Add a patch to point users to README.Debian file in
    "fcitx-fbterm-helper -h" output.

 -- Boyuan Yang <073plan@gmail.com>  Mon, 09 Jul 2018 21:47:55 +0800

fcitx-fbterm (0.2.0-2) unstable; urgency=low

  * Upload to unstable (Closes: #707377).
  * debian/control:
    - std-ver: 3.9.3 -> 3.9.4, no change.
    - remove obsolete DMUA field.
    - switch to canonical Vcs-* URLs.

 -- Aron Xu <aron@debian.org>  Sun, 12 May 2013 02:34:57 +0800

fcitx-fbterm (0.2.0-1) experimental; urgency=low

  * Imported Upstream version 0.2.0

 -- YunQiang Su <wzssyqa@gmail.com>  Wed, 26 Sep 2012 20:56:38 +0800

=== debian/control ===
Source: fcitx-fbterm
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Aron Xu <aron@debian.org>,
 YunQiang Su <syq@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 fcitx-libs-dev (>= 1:4.2.6),
 gettext,
 libdbus-glib-1-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/fcitx/fcitx-fbterm
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx-fbterm.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx-fbterm

Package: fcitx-frontend-fbterm
Architecture: linux-any
Depends:
 fbterm,
 fcitx-bin,
 fcitx-data,
 fcitx-modules,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fcitx-googlepinyin | fcitx-sunpinyin,
 fcitx-pinyin,
 fcitx-table-wubi | fcitx-table-wbpy,
Suggests:
 fcitx-tools,
Description: Flexible Input Method Framework - FbTerm frontend
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides the FbTerm frontend, which is recommended for
 users who does not use X.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND =
export QT_SELECT := 5

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

%:
	dh $@

=== debian/watch ===
version=4
opts="" \
 https://download.fcitx-im.org/fcitx-fbterm/ \
 fcitx-fbterm-?(\d[\d.]*)@ARCHIVE_EXT@ debian uupdate
